## Macro BOOST_LOG_ATTRIBUTE_KEYWORD

BOOST_LOG_ATTRIBUTE_KEYWORD — The macro declares an attribute keyword.

## Synopsis

    // In header: <boost/log/expressions/keyword.hpp>

    BOOST_LOG_ATTRIBUTE_KEYWORD(keyword_, name_, value_type_)

## Description

The macro provides definitions similar to `BOOST_LOG_ATTRIBUTE_KEYWORD_TYPE` and additionally defines the keyword object.

Parameters: |
`keyword_` | Keyword name
`name_` | Attribute name string
`value_type_` | Attribute value type